Skip to main content
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
reports
/
contacts
/
{contactType}
Fetch contact IDs
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/reports/contacts/{contactType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required

The unique identifier of the campaign.

contactType
string
required

The type of contact to filter the list.

Query Parameters

after
string

The paging cursor token of the last successfully read resource, used for pagination.

endDate
string

The end date for filtering contacts, formatted as a string.

limit
integer<int32>

The maximum number of results to display per page.

startDate
string

The start date for filtering contacts, formatted as a string.

Response

successful operation

results
object[]
required

An array of contact references, each containing an identifier for a contact.

paging
object
Last modified on March 30, 2026